# debug/unordered_set File Reference

Go to the source code of this file.

## Namespaces

- namespace std
- namespace std::__debug

## Defines

- #define _GLIBCXX_DEBUG_UNORDERED_SET

## Functions

- template<typename _Value , typename _Hash , typename _Pred , typename _Alloc > void std::__debug::swap (unordered_multiset< _Value, _Hash, _Pred, _Alloc > &__x, unordered_multiset< _Value, _Hash, _Pred, _Alloc > &&__y)
- template<typename _Value , typename _Hash , typename _Pred , typename _Alloc > void std::__debug::swap (unordered_multiset< _Value, _Hash, _Pred, _Alloc > &&__x, unordered_multiset< _Value, _Hash, _Pred, _Alloc > &__y)
- template<typename _Value , typename _Hash , typename _Pred , typename _Alloc > void std::__debug::swap (unordered_multiset< _Value, _Hash, _Pred, _Alloc > &__x, unordered_multiset< _Value, _Hash, _Pred, _Alloc > &__y)
- template<typename _Value , typename _Hash , typename _Pred , typename _Alloc > void std::__debug::swap (unordered_set< _Value, _Hash, _Pred, _Alloc > &__x, unordered_set< _Value, _Hash, _Pred, _Alloc > &&__y)
- template<typename _Value , typename _Hash , typename _Pred , typename _Alloc > void std::__debug::swap (unordered_set< _Value, _Hash, _Pred, _Alloc > &&__x, unordered_set< _Value, _Hash, _Pred, _Alloc > &__y)
- template<typename _Value , typename _Hash , typename _Pred , typename _Alloc > void std::__debug::swap (unordered_set< _Value, _Hash, _Pred, _Alloc > &__x, unordered_set< _Value, _Hash, _Pred, _Alloc > &__y)

## Detailed Description

This file is a GNU debug extension to the Standard C++ Library.

Definition in file debug/unordered_set.